<template>
  <div class="login-bg">
    <div class="loginBox absolute-center">
      <div align="center"><img src="../../public/unlogo.svg" alt="" /></div>
      <div class="q-pt-xl text-h5 text-white" align="center">
        Back Office for SDGs Exam System
      </div>
      <div class="q-px-xl text-white">
        <div class="row q-pt-md q-px-md">
          <div class="login-label">username</div>
          <div class="col">
            <q-input v-model="input.username" dense dark />
          </div>
        </div>
        <div class="row q-px-md">
          <div class="login-label">password</div>
          <div class="col">
            <q-input v-model="input.password" dense type="password" dark />
          </div>
        </div>
      </div>
      <div class="q-pt-md" align="center">
        <q-btn label="Login" class="login-btn" @click="loginBtn()" />
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      input: {
        username: "",
        password: "",
      },
    };
  },
  methods: {
    async loginBtn() {
      if (this.input.username.length == 0 || this.input.password.length == 0) {
        this.redNotify("Username and password incorrect");
        return;
      }
      let url = this.serverpath + "login.php";
      let res = await axios.post(url, JSON.stringify(this.input));
      if (res.data == "not pass") {
        this.redNotify("Username and password incorrect");
        return;
      } else {
        this.$q.localStorage.set("key", res.data);
        this.$router.push("/examinee");
      }
    },
  },
};
</script>

<style lang="scss" scoped>
$grey-color: #d9d9d9;
.login-bg {
  background-color: #41aaf2;
  height: 100vh;
}
.loginBox {
  width: 500px;
  height: 590px;
  // border: 1px solid $grey-color;
  // border-radius: 10px;
}
.login-btn {
  width: 120px;
  background-color: white;
  color: #41aaf2;
}
.login-label {
  width: 100px;
  padding-top: 18px;
}
</style>
